document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_13400 | ---
+++
@@ -20,4 +20,4 @@
git merge origin/$1/master --no-edit
git config --unset merge.ours-driver.driver
-git config --unset merge.podspec-merge-driver
+git config --unset merge.podspec-merge-driver.driver | bash |
d_bash_13401 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/sh
+set -e
DATE=`date "+%Y-%m-%d"`
TARGET=saw-alpha-${DATE} | bash |
d_bash_13402 | ---
+++
@@ -4,7 +4,7 @@
if [ -z "$1" ]
then
image_version='latest'
- package_version="0.0.0-$CI_COMMIT_SHORT_SHA"
+ package_version="0.0.0"
else
# Strip prefix from tag name so that v3.7.5 becomes 3.7.5
image_version=${1#v} | bash |
d_bash_13403 | ---
+++
@@ -1,10 +1,17 @@
alias be="bundle exec"
-alias bi="bundle install"
alias bl="bundle list"
alias bp="bundle package"
alias bo="bundle open"
alias bu="bundle update"
alias bers="bundle exec rake spec"
+
+if [[ "$(uname)" == 'Darwin' ]]
+then
+ local cores_num="$(sysctl hw.ncpu | awk '{print $2}')"
+else... | bash |
d_bash_13404 | ---
+++
@@ -3,7 +3,7 @@
SWIFT_DIR=/opt/stack/swift
sudo pip install -r $SWIFT_DIR/test-requirements.txt
set +e
-nosetests -w $SWIFT_DIR/test/functional --exe --with-xunit --xunit-file=${WORKSPACE}/nosetests.xml
+nosetests -v -w $SWIFT_DIR/test/functional --exe --with-xunit --xunit-file=${WORKSPACE}/nosetests.xml
... | bash |
d_bash_13405 | ---
+++
@@ -17,5 +17,5 @@
fi
nosetests --with-coverage $exclude . ../Tests/
else
- $PYTHON $mydir/../setup.py test $*
+ PYTHONPATH="Lib" $PYTHON $mydir/../setup.py test $*
fi | bash |
d_bash_13406 | ---
+++
@@ -17,13 +17,13 @@
ln -sf "$(pwd)/salt/pillar" /srv/pillar
ln -sf "$(pwd)/ansible" /srv/ansible
-# Apply Salt States
-#
-salt-call --local -l warning state.apply
-
# Apply Ansible Plays
#
export ANSIBLE_NOCOWS=1
cd /srv/ansible && /usr/bin/ansible-playbook -i hosts site.yml --limit=travis-ci
+# App... | bash |
d_bash_13407 | ---
+++
@@ -5,25 +5,25 @@
# Licensed under the MIT license
# See LICENSE to view the full license
-DOTFILES=".bash_aliases .bash_prompt .dircolors .bashrc .vimrc .gitconfig"
+DOTFILES=".aliases .bash_prompt .dircolors .bashrc .vimrc .gitconfig"
# Install dotfiles in $HOME directory
use() {
- file="$1"
- # Che... | bash |
d_bash_13408 | ---
+++
@@ -38,4 +38,4 @@
DIR=$(cd $(dirname "$0") && cd .. && pwd)
-docker run --rm -i -t -v "${DIR}":/var/avian ${THE_USER} "${CONTAINER}" "${@}"
+docker run --rm -i -t -v "${DIR}":/var/src/avian ${THE_USER} "${CONTAINER}" "${@}" | bash |
d_bash_13409 | ---
+++
@@ -1,4 +1,4 @@
cd /c/projects/plib-build
-/c/Program Files\ (x86)/CMake/bin/cmake -DCMAKE_BUILD_TYPE=$configuration -G"$CMAKE_GENERATOR" $BOOST_ARGS /c/projects/plib
+/c/Program\ Files\ (x86)/CMake/bin/cmake -DCMAKE_BUILD_TYPE=$configuration -G"$CMAKE_GENERATOR" $BOOST_ARGS /c/projects/plib
make
-/c/Progra... | bash |
d_bash_13410 | ---
+++
@@ -19,4 +19,4 @@
touch "$EXPOSER_CONFIGURATION"
docker run --detach=true --restart=always --name "${NAME}_mongodb" --volume "${MONGODB_LOG}:/var/log/mongod" --volume "${MONGODB_DATA}:/var/lib/mongodb" tozd/mongodb
-docker run --detach=true --restart=always --name "${NAME}_exposer" --env VIRTUAL_HOST=expo... | bash |
d_bash_13411 | ---
+++
@@ -20,6 +20,7 @@
[[ $IN_RECOVERY != "f" ]] && log "Cluster is in recovery, not running backup" && exit 0
# leave only 2 base backups before creating a new one
+# --aws-instance-profile flag is just ignored when running in GCE.
envdir "${WALE_ENV_DIR}" wal-e --aws-instance-profile delete --confirm retain... | bash |
d_bash_13412 | ---
+++
@@ -19,6 +19,6 @@
const (
EOH
-sed -n 's/^[ ]*\(SIG[A-Z0-9][A-Z0-9]*\).*/ \1 = UnixSignal(syscall.\1)/p' "$1"
+sed -n 's/^[ ]*\(SIG[A-Z0-9][A-Z0-9]*\)[ ].*/ \1 = UnixSignal(syscall.\1)/p' "$1"
echo ")" | bash |
d_bash_13413 | ---
+++
@@ -27,7 +27,7 @@
EXIT_STATUS=1
}
-gem install bundle
+gem install bundler --version 1.17.3
(bundle update && bundle exec rake) || set_failed_status | bash |
d_bash_13414 | ---
+++
@@ -6,8 +6,8 @@
sw_vers
git clone --depth 1 https://github.com/pyenv/pyenv ~/.pyenv
- PYENV_ROOT="$HOME/.pyenv"
- PATH="$PYENV_ROOT/bin:$PATH"
+ export PYENV_ROOT="$HOME/.pyenv"
+ export PATH="$PYENV_ROOT/bin:$PATH"
eval "$(pyenv init -)"
case "${TOXENV}" in | bash |
d_bash_13415 | ---
+++
@@ -4,6 +4,7 @@
sudo rm -rf /etc/nginx/sites-available/$1.conf
#delete the line from the /etc/hosts
+sed -i '/$1/d' /etc/hosts
#restart nginx
sudo /etc/init.d/nginx restart | bash |
d_bash_13416 | ---
+++
@@ -7,6 +7,7 @@
appcleaner
brave-browser
bricklink-studio
+ devtoys
docker
elgato-stream-deck
figma | bash |
d_bash_13417 | ---
+++
@@ -5,14 +5,17 @@
# (1) Python Package Manager -------------------------------------------- {{{1
-if dot::command_exists "pip"; then
- eval "$(pip -qq --disable-pip-version-check completion --bash)"
+if dot::command_exists "pip3"; then
+ case "$SHELL_NAME" in
+ bash) eval "$(pip3 completion --bash)"... | bash |
d_bash_13418 | ---
+++
@@ -4,7 +4,7 @@
mysqld_safe --wsrep-new-cluster &
mysql -u root --password="password" -e "GRANT ALL PRIVILEGES ON *.* TO 'root'@'localhost' IDENTIFIED BY 'password' WITH GRANT OPTION;"
- mysql -u root --password="password" -e "GRANT ALL PRIVILEGES ON *.* TO 'root'@'%' IDENTIFIED BY 'passworod' ... | bash |
d_bash_13419 | ---
+++
@@ -1,9 +1,9 @@
#!/bin/sh -e
cd $(dirname $0)
-vagrant basebox build --force debian-6-amd64
-vagrant basebox validate debian-6-amd64
-vagrant basebox export debian-6-amd64
+veewee vbox build --force debian-6-amd64
+veewee vbox validate debian-6-amd64
+/usr/bin/vagrant package --base debian-6-amd64 --outpu... | bash |
d_bash_13420 | ---
+++
@@ -19,7 +19,6 @@
brew install git
brew install gist
brew install go
-brew install node
brew install mongodb
brew install postgresql
brew install iojs | bash |
d_bash_13421 | ---
+++
@@ -18,8 +18,11 @@
chmod go-r $srcdir/etc/host*
$SSHD -f /dev/null -h $srcdir/etc/host \
- -o 'Port 4711' -o 'Protocol 2' \
- -o "AuthorizedKeysFile $srcdir/etc/user.pub" -D &
+ -o 'Port 4711' \
+ -o 'Protocol 2' \
+ -o 'UsePrivilegeSeparation no' \
+ -o "AuthorizedKeysFile $srcdir/etc/u... | bash |
d_bash_13422 | ---
+++
@@ -6,8 +6,7 @@
# verbose, print cmds
set -x
-#DEBIAN_FRONTEND=noninteractive apt-get -t wheezy-backports -y install pixelated-dispatcher linux-image-amd64 lxc-docker
-DEBIAN_FRONTEND=noninteractive apt-get -t wheezy-backports -y install pixelated-dispatcher linux-image-3.16.0-0.bpo.4-amd64 lxc-docker
+DE... | bash |
d_bash_13423 | ---
+++
@@ -1,5 +1,8 @@
VERSION=$(grep "^BASEVERSION" wscript | sed -r 's/BASEVERSION=["]([^"]+)["]/\1/')
TAG=$(echo $VERSION | tr -d ' ')
+
+export GIT_AUTHOR_NAME="XMMS2 Release"
+export GIT_AUTHOR_EMAIL="release@xmms2.org"
echo -e "New version: '$VERSION' (tag: $TAG)\n"
git diff | bash |
d_bash_13424 | ---
+++
@@ -8,5 +8,8 @@
scriptdir=${self%$scriptname}
wget 'http://nmhh.hu/amator/call_sign_book.xml' -O /tmp/csb.xml &>/dev/null
+iconv -f ISO-8859-2 -t UTF-8 /tmp/csb.xml > /tmp/csb_tmp.xml
+mv /tmp/csb_tmp.xml /tmp/csb.xml
+sed -i'' -e 's/ISO-8859-1/UTF-8/g' /tmp/csb.xml
$scriptdir/ha5kdr-csb-process.php /tmp... | bash |
d_bash_13425 | ---
+++
@@ -10,7 +10,7 @@
pushd $DIR/..
mix compile
-mix raxx.kit --docker demo
+mix raxx.kit --docker --ecto demo
popd
pushd $DIR/../demo
@@ -22,9 +22,18 @@
docker-compose run demo mix deps.get
echo ""
+echo "## starting all services"
+echo ""
+
+docker-compose up -d
+
+echo ""
echo "## running tests fo... | bash |
d_bash_13426 | ---
+++
@@ -11,8 +11,15 @@
export NACL_EXE_STDOUT=`pwd`/nacl.stdout
export NACL_EXE_STDERR=`pwd`/nacl.stderr
-rm -r user-data-dir-karma # user-data-dir-karma will cache extension files and
- # might lead to test failures when changing branches.
+# user-data-dir-karma will cache extensio... | bash |
d_bash_13427 | ---
+++
@@ -7,7 +7,7 @@
' > ~/.vim/config.vim
cd ~/.vim/
- git clone https://github.com/umayr/vimrc.git runtime
+ git clone --recursive https://github.com/umayr/vimrc.git runtime
}
function extended { | bash |
d_bash_13428 | ---
+++
@@ -12,6 +12,3 @@
echo 'Will run E2E tests because this is a commit to master or dev'
fi
fi
-
-export SHOULD_RUN_E2E=true;
-echo 'Always run E2E tests because this is a PR that tries to fix e2e tests' | bash |
d_bash_13429 | ---
+++
@@ -25,3 +25,4 @@
docker rm pyhole
docker run -d -v /mnt/pyhole:/root/.pyhole -v /etc/hosts:/etc/hosts:ro --name pyhole pyhole
docker ps
+docker logs pyhole | bash |
d_bash_13430 | ---
+++
@@ -5,7 +5,7 @@
cd "$HOME"
if [ -z "$(ls -A terraform)" ]; then
- curl -fSL "https://releases.hashicorp.com/terraform/0.10.4/terraform_0.10.4_linux_amd64.zip" -o terraform.zip
+ curl -fSL "https://releases.hashicorp.com/terraform/0.10.5/terraform_0.10.5_linux_amd64.zip" -o terraform.zip
unzip t... | bash |
d_bash_13431 | ---
+++
@@ -12,7 +12,7 @@
autoheader || exit 1
echo "Updating COPYING version..."
version=`sed -n /AC_INIT\(/,/\)/p configure.ac | tr -d '\n ' | cut -d, -f2`
-sed -e 's/^Open-MX: .*/Open-MX'${version}'/' -i COPYING
+sed -e 's/^Open-MX .*/Open-MX '${version}'/' -i COPYING
echo "Updating open-mx.spec version..."
s... | bash |
d_bash_13432 | ---
+++
@@ -13,7 +13,7 @@
apt-get update
apt-get install -y git clang libicu-dev
-curl -O $SWIFT_URL
+curl -sO $SWIFT_URL
tar zxf $SWIFT_TAR
echo "export PATH=/home/vagrant/$SWIFT_DIR/usr/bin:$PATH" >> .profile
chown -R vagrant $SWIFT_DIR | bash |
d_bash_13433 | ---
+++
@@ -3,4 +3,3 @@
bundle exec rake lint
bundle exec rake metadata_lint
bundle exec rake spec
-bundle exec rake acceptance | bash |
d_bash_13434 | ---
+++
@@ -1,6 +1,17 @@
#!/bin/sh
set -e
+
+if ! which purescript-derive-lenses >/dev/null; then
+ echo "Installing purescript-derive-lenses..."
+ rm -rf purescript-derive-lenses
+ git clone https://github.com/paf31/purescript-derive-lenses
+ cd purescript-derive-lenses
+ git checkout 02457e6 # TO... | bash |
d_bash_13435 | ---
+++
@@ -11,4 +11,6 @@
ros-kinetic-velodyne-gazebo-plugins\
ros-kinetic-pointcloud-to-laserscan\
ros-kinetic-mcl-3dl\
- ros-kinetic-mcl-3dl-msgs
+ ros-kinetic-mcl-3dl-msgs\
+ ros-kinetic-cartographer*\
+ libpcl-dev | bash |
d_bash_13436 | ---
+++
@@ -17,12 +17,12 @@
echo "Building test apps..."
for app_path in cnb-builder/fixtures/*; do
- ./pack/pack build "$(basename "$app_path")" --builder "$REPO:$STACK" -p "$app_path"
+ ./pack/pack build "$(basename "$app_path")" --builder "$REPO:$STACK" -p "$app_path" --no-pull
done
if [ "$STACK" == ... | bash |
d_bash_13437 | ---
+++
@@ -1,2 +1,2 @@
pushd ../mp3media/ && sh create_flash_image.sh && popd
-xflash --boot-partition-size 131072 --data ../mp3media/mp3_flash_image.bin bin/app_dominator2000.xe
+xflash --boot-partition-size 131072 --data ../mp3media/mp3_flash_image.bin bin/app_dom_test.xe | bash |
d_bash_13438 | ---
+++
@@ -7,8 +7,9 @@
pub run test --coverage=coverage || EXIT_CODE=$?
-if [ $EXIT_CODE -eq 0 ]
- then pub run test -P browsers || EXIT_CODE=$?
-fi
+# Testing on the web doesn't work on CI (we're running into out-of-memory issues even with 12G of RAM)
+#if [ $EXIT_CODE -eq 0 ]
+# then pub run test -P browser... | bash |
d_bash_13439 | ---
+++
@@ -5,6 +5,7 @@
if ! [ -f "$BTCPAY_SSHKEYFILE" ]; then
echo "Creating BTCPay Server SSH key File..."
ssh-keygen -t rsa -f "$BTCPAY_SSHKEYFILE" -q -P "" -m PEM -C btcpayserver > /dev/null
+ [ -f "$BTCPAY_SSHAUTHORIZEDKEYS" ] && sed -i '/btcpayserver$/d' "$BTCPAY_SSHAUTHORIZEDKEYS"
fi
if [ -f ... | bash |
d_bash_13440 | ---
+++
@@ -13,6 +13,9 @@
# Ignore duplicate commands in the history
export HISTCONTROL=ignoredups
+# Save ruby gems in home folder instead of system
+export GEM_HOME=$HOME/.gem
+
# Java installation path
if [[ $(uname) == "Darwin" ]]; then
export JAVA_HOME=$(/usr/libexec/java_home)
@@ -23,6 +26,7 @@
# Co... | bash |
d_bash_13441 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/sh
+
+set -e
aclocal
libtoolize -c | bash |
d_bash_13442 | ---
+++
@@ -32,18 +32,13 @@
name: psycopg2
args:
database: $POSTGRES_DB_1
- user: $PGUSER
- password: $PGPASSWORD
- host: $PGHOST
- sslmode: disable
+ user: $POSTGRES_USER_1
+ password: $POSTGRES_PASS_1
+ host: $POSTGRES_HOST_1
EOF
cat > localhost-$(($PORT_BASE + 2))/database.yaml << E... | bash |
d_bash_13443 | ---
+++
@@ -9,3 +9,4 @@
docker build -t praekelt/mama-ng-rabbitmq $INSTALLDIR/$REPO/docker-vms/rabbitmq
docker build -t praekelt/mama-ng-freeswitch $INSTALLDIR/$REPO/docker-vms/freeswitch
docker build -t praekelt/mama-ng-smpp $INSTALLDIR/$REPO/docker-vms/smpp_transport
+docker build -t praekelt/mama-ng-static-repl... | bash |
d_bash_13444 | ---
+++
@@ -1,4 +1,5 @@
sed -i.bak 's^TABIX_LIB_DIR)$^TABIX_LIB_DIR) -L$(PREFIX)/lib^' src/Makefile
-sed -i.bak 's^TABIX_INCLUDE_DIR)$^TABIX_INCLUDE_DIR) -L$(PREFIX)/include/^' src/Makefile
+sed -i.bak 's^TABIX_INCLUDE_DIR)$^TABIX_INCLUDE_DIR) -L$(PREFIX)/include^' src/Makefile
+sed -i.bak 's@^CFLAGS =@CFLAGS = -I$(... | bash |
d_bash_13445 | ---
+++
@@ -9,14 +9,23 @@
# subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
npm install
+pushd ..
+git clone git://github.com/Polymer/NodeBind
+git clone git://github.com/Polymer/TemplateBinding
+git clone git://github.com/Polymer/URL
+git clone git://github.com/Polymer/obse... | bash |
d_bash_13446 | ---
+++
@@ -10,12 +10,15 @@
chmod 777 `pwd`/dist
if [[ $CIRCLE_TEST_REPORTS ]]; then
- $NOSE_ARGS=" --cover-html-dir=dist --with-xunit --xunit-file=/code$CIRCLE_TEST_REPORTS/output.xml"
+ docker run --rm -v `pwd`/:/code -v $CIRCLE_TEST_REPORTS:/circle_output calico-build \
+ bash -c '/tmp/etcd & \
+ ... | bash |
d_bash_13447 | ---
+++
@@ -26,6 +26,9 @@
docker stop gatekeeper
docker rm gatekeeper
+docker stop webui
+docker rm webui
+
docker rm cypress
docker stop db | bash |
d_bash_13448 | ---
+++
@@ -3,5 +3,4 @@
# Start display bot
-mplayer http://direct.fipradio.fr/live/fip-midfi.mp3 2>&1 /dev/null &
python DisplayBot.py | bash |
d_bash_13449 | ---
+++
@@ -5,7 +5,8 @@
sudo apt-get -qq install gcc-5 g++-5 p7zip-full -y
# Install clang
-sudo add-apt-repository -s 'deb http://llvm.org/apt/precise/ llvm-toolchain-precise-3.7 main'
+sudo add-apt-repository 'deb http://llvm.org/apt/precise/ llvm-toolchain-precise-3.7 main'
+sudo add-apt-repository 'deb-src ht... | bash |
d_bash_13450 | ---
+++
@@ -2,11 +2,9 @@
PW=/usr/sbin/pw
pw_create_account ( ) {
- if [ -n "${GZIPIMAGE}" ]; then
- echo "Adding user $1 with password $1"
- mkdir -p ${BOARD_FREEBSD_MOUNTPOINT}/usr/home/$1
- $PW useradd -n $1 -s /bin/csh -g wheel -w yes -V ${BOARD_FREEBSD_MOUNTPOINT}/etc/ -d /usr/home/$1
... | bash |
d_bash_13451 | ---
+++
@@ -9,7 +9,7 @@
-project BonMot.xcodeproj \
-scheme BonMot-iOS \
-sdk iphonesimulator \
- -destination "id=5F273E3F-7B26-436D-A8EB-36460917614D" \
+ -destination "id=55CA63D0-DBF6-4F35-A5B6-31AA93F6A3E7" \
CODE_SIGNING_REQUIRED=NO \
CODE_SIGN_IDENTITY= \
| xcpretty
@@ -19,7 +19,7 @@
-pr... | bash |
d_bash_13452 | ---
+++
@@ -5,14 +5,14 @@
echo
command -v git > /dev/null 2>&1 || {
- echo "git command needed for this test, aborting" >&2
+ printf >&2 'This test requires the `git` command, aborting test!\n\n'
exit 0
}
cd "@CMAKE_SOURCE_DIR@"
-if ! git diff --exit-code; then
- echo "Seems like source is already modifie... | bash |
d_bash_13453 | ---
+++
@@ -1,6 +1,5 @@
#!/bin/sh
+PATH="$PATH:/usr/local/bin/"
hash coffee 2>&- || { echo >&2 "error: Coffee is required but it's not installed (http://jashkenas.github.com/coffee-script/)."; exit 1; }
-
-PATH="$PATH:/usr/local/bin/"
coffee -o "$BUILT_PRODUCTS_DIR/$CONTENTS_FOLDER_PATH/Resources/" HTML/*.coffee | bash |
d_bash_13454 | ---
+++
@@ -18,7 +18,7 @@
cp ./bower_components/jquery/dist/jquery.min.js ./src/Resources/public/vendor/jquery/dist/jquery.min.js
# jQuery UI
-if [ ! -d "./Resources/public/vendor/jquery-ui" ]; then
- mkdir ./Resources/public/vendor/jquery-ui
+if [ ! -d "./src/Resources/public/vendor/jquery-ui" ]; then
+ mk... | bash |
d_bash_13455 | ---
+++
@@ -18,7 +18,7 @@
rm -rf $proxy_dir/nginx/lua
mkdir -p $proxy_dir/nginx/lua
cp $root_dir/nginx-jwt.lua $proxy_dir/nginx/lua
-cp -r lib/ $proxy_dir/nginx/lua
+cp -r lib/* $proxy_dir/nginx/lua
echo -e "${blue}Building the new image${no_color}"
docker build -t="proxy-$proxy_name-image" --force-rm $proxy_d... | bash |
d_bash_13456 | ---
+++
@@ -12,3 +12,4 @@
rm -rf mcapp/app/external/js/ckeditor
cp -r src/app/external/js/ckeditor mcapp/app/external/js/ckeditor
tar zcf mcapp.tar.gz mcapp
+mv mcapp/index*.html mcapp/index.html | bash |
d_bash_13457 | ---
+++
@@ -32,7 +32,7 @@
done
for variant in onbuild; do
- commit="$(git log -1 --format='format:%H' "$version/$variant")"
+ commit="$(git log -1 --format='format:%H' -- "$version/$variant")"
echo
for va in "${versionAliases[@]}"; do
if [ "$va" = 'latest' ]; then | bash |
d_bash_13458 | ---
+++
@@ -10,13 +10,15 @@
sudo apt-get install vim-gnome -y
fi
-ln -fs $dotfiles/vim ~/.vim
+if ! [ -L ~/.vim ]; then
+ ln -s $dotfiles/vim ~/.vim
+fi
ln -fs $dotfiles/vim/vimrc ~/.vimrc
mkdir -p ~/.vim/{.backup,.swap}
echo '==> Installing vim-plug'
curl -fLo ~/.vim/autoload/plug.vim --create-dirs \
-... | bash |
d_bash_13459 | ---
+++
@@ -30,7 +30,10 @@
echo '#---> Building and releasing web application to test against'
(cd server/testmine && ./setup.sh)
# Travis is so slow
-sleep 180 # let webapp startup
+sleep 60 # let webapp startup
+
+./gradlew --stop
+./gradlew cargoRedeployRemote
# Warm up the keyword search by requesting resul... | bash |
d_bash_13460 | ---
+++
@@ -51,5 +51,6 @@
echo "Installing Vundle..."
git clone https://github.com/gmarik/Vundle.vim.git $HOME/.vim/bundle/Vundle.vim
+cp -R $DOTFILES/vim/colors $HOME/.vim # So vim won't complain about solarized not being found.
vim +PluginInstall +qall
| bash |
d_bash_13461 | ---
+++
@@ -5,6 +5,9 @@
# Constants
HOOK_DIR=${BASE_PROJECT}/.git/hooks
+
+# Create directory
+mkdir -p ${HOOK_DIR}
# Remove all old hooks before anything
info "Removing old hooks" | bash |
d_bash_13462 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-if [ command -v docker >/dev/null 2>&1 ]; then
+if [[ "command -v docker >/dev/null 2>&1" ]]; then
echo "Docker already installed.";
else
echo "Installing docker ..." | bash |
d_bash_13463 | ---
+++
@@ -9,6 +9,8 @@
mkdir ~/repo/
(cd /home/repo/; git clone https://github.com/noelevans/sandpit.git)
+git clone --bare https://github.com/noelevans/dotfiles
+
ln -s ~/repo/sandpit/pylint ~/.pylintrc
ln -s ~/repo/sandpit/start_ipython.py ~/.ipython/profile_default/startup/start_ipython.py
ln -s ~/repo/sa... | bash |
d_bash_13464 | ---
+++
@@ -11,6 +11,8 @@
--exclude "LICENSE-MIT.txt" \
-avh --no-perms . ~;
+# Install Oh My Zsh plugins
+sh -c "$(curl -fsSL https://raw.github.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
git clone https://github.com/sindresorhus/pure.git "$HOME/.zsh/pure"
git clone https://github.com/lukechilds/zsh-nvm... | bash |
d_bash_13465 | ---
+++
@@ -1,3 +1,4 @@
cd /usr/local/galaxy/work/galaxy_in_docker_custom_bit_wf/setup_scripts
+source /usr/local/galaxy/galaxy-dist/.venv/bin/activate; pip install python-dateutil bioblend pandas grequests GitPython pip-tools
python bit-workflow_install_docker.py
| bash |
d_bash_13466 | ---
+++
@@ -1,15 +1,22 @@
#!/bin/sh
# $FreeBSD$
+
+cvs up -CPd *.[ch]
+
+for i in `ls *.[ch]`; do
+ mv $i $i.cvs
+done
cp /usr/src/drm/bsd-core/*.[ch] .
rm i810*.[ch]
rm via*.[ch]
# Replace drm_pciids.h with one with a $FreeBSD$
+line=`grep \\\$FreeBSD drm_pciids.h.cvs`
rm -f drm_pciids.h
echo "/*" >> d... | bash |
d_bash_13467 | ---
+++
@@ -1,6 +1,38 @@
#!/bin/bash
-# This will return 0 when it successfully talks to the haproxy daemon via the socket
+# This will return 0 when it successfully passes all checks for all daemons
# Failures return 1
-echo "show info" | socat unix-connect:/var/lib/kolla/haproxy/haproxy.sock stdio > /dev/null... | bash |
d_bash_13468 | ---
+++
@@ -23,13 +23,13 @@
### Setup flarum/core ###
cd /vagrant/flarum/core
git clone https://github.com/flarum/core .
-composer install
+composer install --prefer-dist
mkdir public
cd /vagrant/flarum/core/ember
npm install
bower install
cd /vagrant
-composer install
+composer install --prefer-dist
php a... | bash |
d_bash_13469 | ---
+++
@@ -19,3 +19,8 @@
if ! [ -f $HOME/.bowerrc ]; then
echo '{ "strict-ssl": false }' > $HOME/.bowerrc
fi
+
+if ! [ -f $HOME/.pip/pip.conf ]; then
+ mkdir -p $HOME/.pip
+ echo -e "[global]\ncert = /etc/ssl/certs/ca-certificates.crt" > $HOME/.pip/pip.conf
+fi | bash |
d_bash_13470 | ---
+++
@@ -1,9 +1,14 @@
if type delta >/dev/null 2>&1 ; then
delta --color-only --theme="zenburn"
else
+ # 6/15/21: diff-highlight has been removed from the diff-so-fancy repo, so
+ # the below needs to be fixed. You could use diff-so-fancy --patch as
+ # indicated here: https://github.com/so-fancy/d... | bash |
d_bash_13471 | ---
+++
@@ -1,6 +1,9 @@
#!/bin/bash -x
set -o errexit
set -o nounset
+
+PWD=`pwd`
+
git clone https://github.com/tetsuok/kytea libkytea
cd libkytea
. ci_config.sh
@@ -14,4 +17,7 @@
fi
cp -fr src/include/kytea .
-ln -sf `pwd`/data/model.bin ../sample
+ln -sf $PWD/data/model.bin ../sample
+
+export CGO_LDFLAG... | bash |
d_bash_13472 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-if [[ -n ${TRAVIS+x} && $TRAVIS != 'true' ]]
+if [[ -n "${TRAVIS+x}" && $TRAVIS != 'true' ]]
then
if [[ "$(git branch | grep '* master')" != "" ]]
then | bash |
d_bash_13473 | ---
+++
@@ -1,6 +1,9 @@
#!/bin/bash
DIR="$( cd "$( dirname "$0" )" && pwd )"
+
+# enable adding ppas
+sudo apt-get install software-properties-common -y
# add ppas
sudo add-apt-repository ppa:webupd8team/unstable | bash |
d_bash_13474 | ---
+++
@@ -25,6 +25,8 @@
export LOG_HOST_URL="https://centos.logs.rdoproject.org/"
export LOG_PATH="${JOB_NAME}/${BUILD_NUMBER}/logs"
export SUCCESS=${SUCCESS}
+ export PATH=$PATH:/root/.local/bin
+
bash -ex ${CICO_USER_DIR}/${RDO_CONFIG_DIR}/ci-scripts/tripleo-upstream/dlr... | bash |
d_bash_13475 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh
./bin/run-common.sh
-gunicorn testpilot.wsgi:application -b 0.0.0.0:${PORT:-8000} --log-file -
+exec gunicorn testpilot.wsgi:application -b 0.0.0.0:${PORT:-8000} --log-file - | bash |
d_bash_13476 | ---
+++
@@ -6,7 +6,7 @@
exit 1
fi
-SCRIPT="${1}/tests/ostreesysroot/makephysical.sh"
+SCRIPT="${1}/tests/ostree-scripts/makephysical.sh"
REPO="${2}/ostree_repo"
PORT=$("${1}/tests/get_open_port.py")
| bash |
d_bash_13477 | ---
+++
@@ -3,6 +3,31 @@
set -e
set -x
+usage="$(basename "$0") [-h] [-d] \n
+--Sets up a postgresql database for MMW \n
+\n
+where: \n
+ -h show this help text\n
+ -d load/reload base data\n
+"
+
+load_data=false
+
+while getopts ":hd" opt; do
+ case $opt in
+ h)
+ echo -e $usage
+ ... | bash |
d_bash_13478 | ---
+++
@@ -6,4 +6,5 @@
--pid-file=/var/run/dnsmasq.pid \
--except-interface lo \
--dhcp-no-override \
---log-queries
+--log-queries \
+-7 /etc/dnsmasq.d,.dpkg-dist,.dpkg-old,.dpkg-new | bash |
d_bash_13479 | ---
+++
@@ -1,5 +1,6 @@
-for dir in "$HOME"/Library/Python/*; do
- if [ -d "$dir/bin" ]; then
- export PATH="$PATH:$dir/bin"
- fi
-done
+if [ -d "$HOME"/Library/Python ]; then
+ find "$HOME"/Library/Python -mindepth 2 -maxdepth 2 -type d -name bin -print0 |
+ while IFS= read -r -d '' dir; do
+ export PA... | bash |
d_bash_13480 | ---
+++
@@ -5,6 +5,20 @@
# remove libvirt BUILD file to regenerate it each time
rm -f vendor/libvirt.org/libvirt-go/BUILD.bazel
+
+cat >vendor/github.com/gordonklaus/ineffassign/pkg/ineffassign/BUILD.bazel <<EOT
+# gazelle:ignore
+load("@io_bazel_rules_go//go:def.bzl", "go_tool_library")
+
+go_tool_library(
+ ... | bash |
d_bash_13481 | ---
+++
@@ -22,6 +22,6 @@
echo "Skipping snapshot deployment: wrong branch. Expected '$BRANCH' but was '$TRAVIS_BRANCH'."
else
echo "Deploying snapshot..."
- ./gradlew clean build jacocoReport
+ ./gradlew clean build uploadArchives
echo "Snapshot deployed!"
fi | bash |
d_bash_13482 | ---
+++
@@ -1,10 +1,13 @@
#! /usr/bin/env bash
+
+set -e
# Some dependencies
sudo apt-get update
-sudo apt-get install -y libjudy-dev make g++ gdb git
+sudo apt-get install -y libjudy-dev make g++ gdb git cmake libgtest-dev
-(
- cd /vagrant/
- git submodule update --init --recursive
-)
+pushd /usr/src/gt... | bash |
d_bash_13483 | ---
+++
@@ -16,7 +16,14 @@
git clone https://github.com/kazoo-ansible/kazoo-ansible ~/kazoo-ansible
echo "Installing kazoo-ansible Roles"
-sudo ansible-galaxy install --force -r ~/kazoo-ansible/requirements.yml
+sudo ansible-galaxy install -r ~/kazoo-ansible/requirements.yml
+
+if [ -e "~/.ssh/id_rsa" -a -e "~/.s... | bash |
d_bash_13484 | ---
+++
@@ -1 +1,2 @@
-[ -s "/home/tom/.nvm/nvm.sh" ] && . "/home/tom/.nvm/nvm.sh" # This loads nvm
+# This loads nvm
+[ -s "~/.nvm/nvm.sh" ] && . "~/.nvm/nvm.sh" | bash |
d_bash_13485 | ---
+++
@@ -20,17 +20,28 @@
fi
echo Replacing "harbour-helloworld-pro-sailfish" with "$newname"
-# iterating over all files except for the binary ones
-for fl in `find . -name .git -prune -o -type f -print | xargs file | grep ASCII | cut -d: -f1`
+
+# First rename files
+for fl in $(find . -name .git -prune -o -... | bash |
d_bash_13486 | ---
+++
@@ -2,6 +2,7 @@
# Clean the pacman cache.
/usr/bin/yes | /usr/bin/pacman -Scc
+/usr/bin/pacman-optimize
# Write zeros to improve virtual disk compaction.
zerofile=$(/usr/bin/mktemp /zerofile.XXXXX) | bash |
d_bash_13487 | ---
+++
@@ -11,10 +11,6 @@
[ $? -eq 0 ] || exit $?;
- sudo xcode-select -switch /Applications/Xcode.app/Contents/Developer
-
- [ $? -eq 0 ] || exit $?;
-
sudo xcodebuild -license
[ $? -eq 0 ] || exit $?; | bash |
d_bash_13488 | ---
+++
@@ -13,7 +13,7 @@
cloudant
cytoolz
fake-useragent
- feather
+ feather-format
feedparser
flask
flask_cors
@@ -44,6 +44,7 @@
)
for pip in ${pips[@]}; do
+ $pip install --upgrade pip
$pip install "${packages[@]}"
ARCHFLAGS=-Wno-error=unused-command-line-argument-hard-error-in-future... | bash |
d_bash_13489 | ---
+++
@@ -30,4 +30,20 @@
system_type() {
(source /etc/os-release; echo $ID)
}
+
+set_timezone() {
+ if [ -z "$tz" ]; then
+ tz=Europe/Helsinki
+ fi
+ ln -snf ../usr/share/zoneinfo/$tz /etc/localtime
+ [ ! -e /etc/timezone ] || echo $tz > /etc/timezone
+}
+
+set_hostname() {
+ if [ -n "${CF_paramDnsName... | bash |
d_bash_13490 | ---
+++
@@ -2,11 +2,11 @@
cliopts="$@"
max_procs=1
+FORMAT="BINARY"
DATA="data/RCV1_seq.bin"
-FORMAT="BINARY"
THETA="0.35 0.5 0.7 0.8 0.9 0.99"
LAMBDA="1 0.1 0.01 0.001 0.0001"
INDEX="INVERTED ALL_PAIRS L2AP"
-parallel --max-procs ${max_procs} "scripts/minibatch -t {1} -l {2} -f ${FORMAT} ${cliopts}; echo" ... | bash |
d_bash_13491 | ---
+++
@@ -8,9 +8,26 @@
DIR=`pwd`
TMPDIR=/tmp
VERSION=$1
+BUILD_TYPE="Release"
+BUILD_TYPE_TAG=""
+
+until [ -z "$1" ] # until all parameters used up
+do
+case "$1" in
+ --debug)
+ BUILD_TYPE="Debug"
+ BUILD_TYPE_TAG="-debug"
+ ;;
+ *)
+ VERSION="$1"
+ ;;
+ ... | bash |
d_bash_13492 | ---
+++
@@ -1,44 +1,4 @@
#! /bin/bash
-passwords=$(mktemp)
-echo "password" >> ${passwords}
-echo "password" >> ${passwords}
-
-#echo "Stopping daemon:"
-#./cosy.lua daemon:stop --force
-#echo "Stopping server:"
-#./cosy.lua server:stop --force
-#echo "Starting server:"
-#./cosy.lua server:start --force --clean
-... | bash |
d_bash_13493 | ---
+++
@@ -4,7 +4,7 @@
benchmarking
content-tools
navigation
- content-transformation
+ taxonomy
email
search
govuk-infrastructure | bash |
d_bash_13494 | ---
+++
@@ -8,7 +8,7 @@
ln -s $PWD/zshrc $HOME/.zshrc
# install custom gimme oh-my-zsh plugin
-git clone git@github.com:folixg/gimme-ohmyzsh-plugin.git $ZSH/custom/plugins/gimme
+git clone https://github.com/folixg/gimme-ohmyzsh-plugin.git $ZSH/custom/plugins/gimme
# if there is no ~/.bash_aliases, link to the... | bash |
d_bash_13495 | ---
+++
@@ -8,5 +8,5 @@
npm test
npm run test:coverage
export PATH="$HOME/miniconda/bin:$PATH"
-npm run test:integration
+#npm run test:integration
npm run docs | bash |
d_bash_13496 | ---
+++
@@ -1,5 +1,5 @@
#!/usr/bin/env sh
-log_file="travis_build.log"
+log_file="travis/travis_build.log"
#R CMD BATCH ./travis_build.R $log_file
#cat $log_file
| bash |
d_bash_13497 | ---
+++
@@ -26,5 +26,5 @@
find . -name "*.pyc" -delete
find . -name ".svn" -exec rm -Rf {} \; 2>/dev/null
cd ..
-GZIP="gzip -9" tar -zcvf namebench-${version}.tgz namebench-${version}/
+GZIP="-9" tar -zcvf namebench-${version}.tgz namebench-${version}/
rm -Rf namebench-${version} | bash |
d_bash_13498 | ---
+++
@@ -1,2 +1,2 @@
-export PATH="./bin:/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH"
+export PATH="$HOME/bin:/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH"
export MANPATH="/usr/local/man:/usr/local/mysql/man:/usr/local/git/man:$MANPATH" | bash |
d_bash_13499 | ---
+++
@@ -5,6 +5,11 @@
echo -e "Host github.com\n\tStrictHostKeyChecking no\nIdentityFile ~/.ssh/deploy.key\n" >> ~/.ssh/config
echo -e "$GITHUB_DEPLOY_KEY" | base64 -d > ~/.ssh/deploy.key
chmod 600 ~/.ssh/deploy.key
+
+# build documents
+gem install kramdown
+doc_dir="node_modules/vivliostyle/doc"
+kramdown --n... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.